#include <LiquidCrystal_I2C.h>

int green = 10;                // LED verde
int red = 11;
int pirPin = 8;                 // PIR Out pin 
int pirStat = 0;                   // PIR status

//definirea display-ului
LiquidCrystal_I2C lcd(0x27,16,2);

void setup() {
  
  pinMode(red,OUTPUT);
  pinMode(green,OUTPUT);
  pinMode(pirPin,INPUT);

  lcd.init();  
  lcd.clear();
  lcd.backlight(); 
  lcd.setCursor(2,0);
  lcd.print("Motion");
  lcd.setCursor(2,1);
  lcd.print("Sensor");
  delay(4000);
  
  lcd.init(); 

}

void loop() {
  
  pirStat = digitalRead(pirPin); 
   
  if (pirStat == HIGH) {            // if motion detected

    lcd.init();
    
    digitalWrite(red, HIGH);  // turn LED ON
    digitalWrite(green,LOW);
    lcd.setCursor(2,0);
    lcd.print("Hey,");
    lcd.setCursor(2,1);
    lcd.print("Got you!!");

  } 
  else {
    lcd.init();
    digitalWrite(red, LOW); // turn LED OFF if we have no motion
    digitalWrite(green,HIGH);

    lcd.setCursor(2,0);
    lcd.print("Waiting for");
    lcd.setCursor(2,1);
    lcd.print("Motion...");
   
  }

}
